com.sun.jna.win32

## Interface W32APIOptions

- All Superinterfaces:
    AltCallingConvention, Library, StdCall, StdCallLibrary

      public interface W32APIOptions
      extends StdCallLibrary

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

      `StdCallLibrary.StdCallCallback`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<java.lang.String,java.lang.Object>` | `ASCII_OPTIONS` Standard options to use the ASCII/MBCS version of a w32 API.
    `static java.util.Map<java.lang.String,java.lang.Object>` | `DEFAULT_OPTIONS` Default options to use - depends on the value of `w32.ascii` system property
    `static java.util.Map<java.lang.String,java.lang.Object>` | `UNICODE_OPTIONS` Standard options to use the unicode version of a w32 API.

    - ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

      `FUNCTION_MAPPER, STDCALL_CONVENTION`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

- - ### Field Detail

    - #### UNICODE_OPTIONS

          static final java.util.Map<java.lang.String,java.lang.Object> UNICODE_OPTIONS

      Standard options to use the unicode version of a w32 API.

    - #### ASCII_OPTIONS

          static final java.util.Map<java.lang.String,java.lang.Object> ASCII_OPTIONS

      Standard options to use the ASCII/MBCS version of a w32 API.

    - #### DEFAULT_OPTIONS

          static final java.util.Map<java.lang.String,java.lang.Object> DEFAULT_OPTIONS

      Default options to use - depends on the value of `w32.ascii` system property

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.